QGIS doesn't ask for the CRS when loading GPX files, but it does when loading CSV ones

2011-10-14 08:42 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14308

Description

If in "Options -> CRS -> coordinate reference system for new layers" a user set "prompt for CRS", then QGIS will ask for a proper CRS

every time that a layer without an explicit CRS is loaded.

It happens for instance when loading CSV files with the "add delimited text layer" tool, but it doesn't happen when laoding GPX files.

History

#1 - 2011-10-14 04:49 PM - Steven Mizuno

GPX files should always be in WGS 84 (epsg:4326) so there is no reason for the user to set the CRS (and QGIS shouldn't ask).

Sometime back the GPS tools behavior was changed from asking for the CRS to never asking.

I believe that OGR also assumes WGS 84.

#2 - 2011-10-14 05:11 PM - Giovanni Manghi

Steven Mizuno wrote:

GPX files should always be in WGS 84 (epsg:4326) so there is no reason for the user to set the CRS (and QGIS shouldn't ask).

Sometime back the GPS tools behavior was changed from asking for the CRS to never asking.

I believe that OGR also assumes WGS 84.

Always WGS84? I know many people, me included, that uses to store their waypoints/tracks in UTM... because working in meters is easier and also

because the GPS units allow to do so :)

#3 - 2011-10-15 06:49 AM - Steven Mizuno

As I understand the GPX standard all points are WGS 84, longitude/latitude in degrees. 

refer to: http://www.topografix.com/gpx.asp

I strongly believe the current GPX file load behavior (not asking for CRS) is correct and should not be changed.
#4 - 2011-10-15 06:51 AM - Giovanni Manghi

Steven Mizuno wrote:

As I understand the GPX standard all points are WGS 84, longitude/latitude in degrees. 

refer to: http://www.topografix.com/gpx.asp

I strongly believe the current GPX file load behavior (not asking for CRS) is correct and should not be changed.

ok, this is clear. But I'm still not sure that QGIS skips asking the CRS for this reason.

#5 - 2011-10-15 12:58 PM - Steven Mizuno

#2129 is the request to set WGS 84 automatically for GPX.

I often load GPX files into a map that has a UTM CRS and the data are displayed in the proper locations.

#6 - 2011-11-13 03:20 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed
